%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:     jgroups
Version:  3.4.2
Release:  %mkrel 5
Group:    Development/Java
Summary:  Toolkit for reliable multicast communication
License:  LGPLv2+
URL:      http://www.jgroups.org
Source0:  https://github.com/belaban/JGroups/archive/JGroups-%{namedversion}.tar.gz

BuildRequires: bsh
BuildRequires: log4j
BuildRequires: byteman
BuildRequires: maven-local
BuildRequires: maven-antrun-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-plugin-build-helper
BuildRequires: testng
BuildRequires: bouncycastle

BuildArch:     noarch

%description
JGroups is a toolkit for reliable multicast communication. (Note that
this doesn't necessarily mean IP Multicast, JGroups can also use
transports such as TCP). It can be used to create groups of processes
whose members can send messages to each other.

%package  javadoc
Summary:  API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n JGroups-JGroups-%{namedversion}

find . -name '*.class' -delete
find . -name '*.jar' -delete

%pom_remove_dep "bouncycastle:bcprov-jdk15"
%pom_add_dep "org.bouncycastle:bcprov-jdk16"

# log4j 2 is not available
%pom_remove_dep "org.apache.logging.log4j:log4j-core"

rm src/org/jgroups/logging/Log4J2LogImpl.java
sed -i 's|Log4J2LogImpl|Log4JLogImpl|g' src/org/jgroups/logging/LogFactory.java

%build
# A few failed tests:
# DEBUG: Failed tests: 
# DEBUG:   PrioTest.init:40 null
# DEBUG:   BecomeServerTest>BMNGRunner.bmngAfterTest:65->BMNGAbstractRunner.bmngAfterTest:193 ? FileNotFound
# DEBUG:   ForwardToCoordFailoverTest>BMNGRunner.bmngAfterTest:65->BMNGAbstractRunner.bmngAfterTest:193 ? FileNotFound
# DEBUG:   MessageBeforeConnectedTest>BMNGRunner.bmngAfterTest:65->BMNGAbstractRunner.bmngAfterTest:193 ? FileNotFound
# DEBUG:   SequencerFailoverTest>BMNGRunner.bmngAfterTest:65->BMNGAbstractRunner.bmngAfterTest:193 ? FileNotFound
# DEBUG:   TCPGOSSIP_Test.stopRouter:56 NullPointer
# DEBUG:   TUNNELDeadLockTest.tearDown:73 NullPointer
# DEBUG:   TUNNEL_Test.stopRouter:56 NullPointer
# DEBUG: Tests run: 1795, Failures: 8, Errors: 0, Skipped: 1
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc INSTALL.html LICENSE README

%files javadoc -f .mfiles-javadoc
%doc LICENSE




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 3.4.2-5.mga6
+ Revision: 976512
- First rebuild of the java stack
- sync package jgroups with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0-0.1.Beta1.3.mga5
+ Revision: 741550
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + dmorgan <dmorgan>
    - New version

* Sun Dec 29 2013 dmorgan <dmorgan> 3.3.2-1.mga4
+ Revision: 562971
- Revert to 3.3.2 ( needed to build infinispan)

* Tue Oct 22 2013 umeabot <umeabot> 3.4.0-0.1.Beta1.2.mga4
+ Revision: 545427
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 3.4.0-0.1.Beta1.1.mga4
+ Revision: 501231
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.0.6-4.mga3
+ Revision: 355428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 3.0.6-3.mga3
+ Revision: 331483
- Remove jgroups:jgroups demap

* Sun Dec 16 2012 dmorgan <dmorgan> 3.0.6-2.mga3
+ Revision: 331455
- Add missing demap

* Mon Sep 10 2012 dmorgan <dmorgan> 3.0.6-1.mga3
+ Revision: 291785
- Upstream release 3.0.6.Final

* Thu Aug 11 2011 dmorgan <dmorgan> 2.6.10-1.mga2
+ Revision: 132700
- Clean spec file

  + gil <gil>
    - use new macro
    - fix tag version
    - imported package jgroups


* Sat Jun 25 2011 gil <gil> 2.6.10-0.%%mkrel
- initial rpm

